version 10.0
log using "C:\Documents and Settings\Matthew Golder\My Documents\FSU\classestaught\methods_2009\lectures\simulation\pec.log", replace
#delimit ;

*     ***************************************************************** *;
*     ***************************************************************** *;
*     File-Name:  pec.do                                                *;
*     Date:       July 25, 2009                                         *;
*     Author:     MRG                                                   *;
*     Purpose:    Example of simulation                                 *;
*     Input File: pec.dta                                               *;
*     Output File:pec.log                                               *;
*     Data Output: None                                                 *;
*     Previous file: pec.dta                                            *;
*     Machine:    Office                                                *;
*     ****************************************************************  *;
*     ****************************************************************  *;

*use "F:\essex2009\simulation\pec.dta", clear;

use "C:\Documents and Settings\Matthew Golder\My Documents\FSU\classestaught\methods_2009\lectures\simulation\pec.dta", clear;

*     ****************************************************************  *;
*                               Model 3                                 *;
*       PEC = b0 + b1ENEP + b2THRESHOLD + e                             *;
*     ****************************************************************  *;

probit pec enep threshold;

*     ****************************************************************  *;
*       Calculate PR(PEC=1) when ENEP=3 and THRESH=8                    *;
*     ****************************************************************  *;


probit pec enep threshold;
preserve;

set seed 10101;

drawnorm MG_b1-MG_b3, n(10000) means(e(b)) cov(e(V)) clear;
save simulated_betas, replace;
restore;
merge using simulated_betas;
summarize _merge;
drop _merge;
summarize;

scalar h_threshold=8;
scalar h_enep=3;
scalar h_constant=1;

generate x_betahat1  = MG_b1*h_enep + MG_b2*h_threshold + MG_b3*h_constant;

generate prob_hat1=normal(x_betahat1);

sum prob_hat1;

centile prob_hat1, centile(2.5, 97.5);

*     ****************************************************************  *;
*       Show where confidence intervals come from  (250, 9750)          *;
*     ****************************************************************  *;

sort prob_hat1;

*     ****************************************************************  *;
*       Calculate PR(PEC=1) when ENEP=4 and THRESH=8                    *;
*     ****************************************************************  *;

scalar h_enep2=4;

generate x_betahat2  = MG_b1*h_enep2 + MG_b2*h_threshold + MG_b3*h_constant;

generate prob_hat2=normal(x_betahat2);

sum prob_hat2;

centile prob_hat2, centile(2.5, 97.5);

*     ****************************************************************  *;
*       Calculate change in PR(PEC=1) when ENEP increases from 3 to 4   *;
*       when THRESH=8                                                   *;
*     ****************************************************************  *;

gen diff = x_betahat2-x_betahat1;

sum prob_hat1 prob_hat2 diff;

centile prob_hat1 prob_hat2 diff, centile(2.5,97.5);

log close;
